//
//  SaleInputTopView.m
//  RealEstateManagement
//
//  Created by Javen on 2016/10/13.
//  Copyright © 2016年 上海勾芒信息科技. All rights reserved.
//

#import "SaleInputTopView.h"
#import "CalculateHelper.h"
@interface SaleInputTopView ()<UITextFieldDelegate>
@end
@implementation SaleInputTopView

- (void)awakeFromNib {
    [super awakeFromNib];
    if (!AppGlobal.isMall) {
        self.btnStore.userInteractionEnabled = NO;
        self.right1.hidden = YES;
        UserInfo_contracts *contract = AppGlobal.user.contracts[0];
        self.contract = [HMSaleInputDetail_contract modelWithDic:contract.toDictionary];
        [self.btnStore setTitle:contract.name forState:UIControlStateNormal];
    }
    self.textFieldDate.type = DateTextFieldYearMonthDay;
    self.textFieldDate.rangeType = DateTextFieldRangeBefore;
    WS(weakSelf);
    self.textFieldDate.blockEndEdit = ^{
            [weakSelf httpToDayData];
    };
}

- (IBAction)actionContract:(id)sender {
    if (AppGlobal.user.contracts.count == 1) {
        UserInfo_contracts *contract = AppGlobal.user.contracts[0];
        self.contract = [HMSaleInputDetail_contract modelWithDic:contract.toDictionary];
        [self.btnStore setTitle:contract.name forState:UIControlStateNormal];
        [self httpToDayData];
    }else{
        UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"选择合同" message:nil preferredStyle:(UIAlertControllerStyleAlert)];
        
        for (UserInfo_contracts *contract in AppGlobal.user.contracts) {
            UIAlertAction *action = [UIAlertAction actionWithTitle:contract.name style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
                self.contract = [HMSaleInputDetail_contract modelWithDic:contract.toDictionary];
                [self.btnStore setTitle:contract.name forState:UIControlStateNormal];
                [self httpToDayData];
            }];
            [alert addAction:action];
        }
        
        UIAlertAction *action = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleCancel handler:nil];
        [alert addAction:action];
        
        [self.viewController.navigationController presentViewController:alert animated:YES completion:nil];
    }
}

/**
 *  获取今日的销售录入数据
 */
- (void)httpToDayData {
    kCanNotBeNil(self.contract.uuid, @"请选择合同！");
    NSDictionary *params = [NSDictionary dictionaryWithObjectsAndKeys:self.contract.uuid, @"contract", [NSDictionary dictionaryWithObjectsAndKeys:[self.textFieldDate.text stringByAppendingString:@" 00:00:00"], @"beginDate", [self.textFieldDate.text stringByAppendingString:@" 23:59:59"], @"endDate", nil], @"dateRange", nil];
    [MBProgressHUD j_loading];
    WS(weakSelf);
    [ZJHttpManager POST:@"hdmall/salesinput/getSalesTotal" parameters:params complete:^(id responseObject, NSError *error) {
        [MBProgressHUD j_hideLoadingView];
        if (kIsResponse) {
            NSArray *data = responseObject[@"data"];
            
            if (IsNotNullObject(data) && data.count > 0) {
                NSDictionary *record = data[0];
                weakSelf.labelTodayTotal.text = [CalculateHelper getMoneyStringFrom:record[@"total"]];
            } else {
                //没有查到数据，默认显示0
                weakSelf.labelTodayTotal.text = @"0";
            }
        } else {
            kFalseHttpTips;
        }
    }];
}


@end
